package com.duiba.tuia.youtui.web.model.req;

public class VerificationCodeReq {
    
    /** 1分钟. */
    public static final int ONE_MINUTE = 1;

    /** 10分钟. */
    public static final int TEN_MINUTES = 10;

    /** 短信验证码位数. */
    public static final int SMS_CODE_LENGTH = 6;

    /** 业务渠道. */
	private String channel;

	/** 手机号. */
    private String  phone;
    
    /** 验证码前文案 . */
    private String beforeText;
    
    /** 验证码后文案 . */
    private String afterText;
    
    /** 验证码防刷 时间间隔 (单位是分钟) **/
    private int codeGap;
    
    /** 验证码过期时间 (单位是分钟) **/
    private int expire;
    
    /** 验证码长度 **/
    private int codeLength;
    
    public VerificationCodeReq(String channel,String phone, String beforeText, String afterText,
    		int codeGap, int expire, int codeLength){
    	this.channel = channel;
    	this.phone = phone;
    	this.beforeText = beforeText;
    	this.afterText = afterText;
    	this.codeGap = codeGap;
    	this.expire = expire;
    	this.codeLength = codeLength;
    }

	public String getChannel() {
		return channel;
	}

	public void setChannel(String channel) {
		this.channel = channel;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getBeforeText() {
		return beforeText;
	}

	public void setBeforeText(String beforeText) {
		this.beforeText = beforeText;
	}

	public String getAfterText() {
		return afterText;
	}

	public void setAfterText(String afterText) {
		this.afterText = afterText;
	}

	public int getCodeGap() {
		return codeGap;
	}

	public void setCodeGap(int codeGap) {
		this.codeGap = codeGap;
	}

	public int getExpire() {
		return expire;
	}

	public void setExpire(int expire) {
		this.expire = expire;
	}

	public int getCodeLength() {
		return codeLength;
	}

	public void setCodeLength(int codeLength) {
		this.codeLength = codeLength;
	}

    
}
